summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authormathieui <mathieui@mathieui.net>2017-10-07 20:59:38 +0200
committermathieui <mathieui@mathieui.net>2017-10-07 20:59:38 +0200
commit4b51ce97e9f4fb10529b0cdf8bfd2c946dc2ccba (patch)
treeb0bdaf2e2d5b013cdeb54711256af6ba34ae8f2c /update.sh
parente8e1e1bbd1ff257672f4c67daa16e870f68e9294 (diff)
downloadpoezio-4b51ce97e9f4fb10529b0cdf8bfd2c946dc2ccba.tar.gz
poezio-4b51ce97e9f4fb10529b0cdf8bfd2c946dc2ccba.tar.bz2
poezio-4b51ce97e9f4fb10529b0cdf8bfd2c946dc2ccba.tar.xz
poezio-4b51ce97e9f4fb10529b0cdf8bfd2c946dc2ccba.zip
Fix update.sh for debian (?)
hopefully
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/update.sh b/update.sh
index 362af9a6..622c5c11 100755
--- a/update.sh
+++ b/update.sh
@@ -17,17 +17,15 @@ then
POEZIO_PYTHON=python3
fi
-if ! command -v "$POEZIO_PYTHON" > /dev/null 2>&1
-then
+command -v "$POEZIO_PYTHON" > /dev/null 2>&1 || {
echo "Python executable '$POEZIO_PYTHON' not found."
exit 1
-fi
+}
-if ! $POEZIO_PYTHON -c 'import venv' &> /dev/null
-then
+$POEZIO_PYTHON -c 'import venv' &> /dev/null || {
echo "'$POEZIO_PYTHON' venv module not found. Check that you have python (>= 3.4) installed,"
exit 1
-fi
+}
echo 'Updating poezio'
git pull --ff-only origin master || {